Bug 6523 - Sqlitelogictest: Case statement subquery missing
Summary: Sqlitelogictest: Case statement subquery missing
Status: RESOLVED FIXED
Alias: None
Product: SQL
Classification: Unclassified
Component: all (show other bugs)
Version: -- development
Hardware: Other Linux
: Normal minor
Assignee: SQL devs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-25 11:16 CET by pedrotadim
Modified: 2018-02-12 16:12 CET (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pedrotadim 2018-01-25 11:16:26 CET
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36
Build Identifier: 

The following select query with a case gets a compilation error.

Reproducible: Always

Steps to Reproduce:
1. SELECT CASE WHEN 18 IN ( AVG ( + 12 ) + - + ( - 29 ) + - SUM ( + + 53 ) * - ( 73 ) ) THEN NULL WHEN ( - COUNT ( * ) * - SUM ( DISTINCT 80 ) ) IS NOT NULL THEN 15 END + CASE 27 WHEN - 68 * + CAST ( COALESCE ( 42, + 57 * 20 ) AS INTEGER ) THEN + 11 * 11 + - CASE - 16 + 25 WHEN 37 + 24 THEN 51 + 41 END / 4 END * + 0 AS col1;
Actual Results:  
The error:
SELECT: subquery result missing

Expected Results:  
A single NULL value.
Comment 1 MonetDB Mercurial Repository cwiconfidential 2018-01-25 13:34:50 CET
Changeset 32dc8a911410, made by Pedro Ferreira <pedro.ferreira@monetdbsolutions.com> in the MonetDB repo, refers to this bug.

For complete details, see https://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=32dc8a911410

Changeset description:

	Added tests for bugs 6522 and 6523
Comment 2 MonetDB Mercurial Repository cwiconfidential 2018-01-29 06:45:29 CET
Changeset d8a3ac8e4d55, made by Niels Nes <niels@cwi.nl> in the MonetDB repo, refers to this bug.

For complete details, see https://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=d8a3ac8e4d55

Changeset description:

	handle multiple aggregates in an in expression in the selection
	fixes bug 6523
Comment 3 Niels Nes cwiconfidential 2018-01-29 06:45:46 CET
fixed
Comment 4 MonetDB Mercurial Repository cwiconfidential 2018-02-05 10:00:34 CET
Changeset fa7d796dadb4, made by Sjoerd Mullender <sjoerd@acm.org> in the MonetDB repo, refers to this bug.

For complete details, see https://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=fa7d796dadb4

Changeset description:

	Add test for bug 6523.